{% extends 'partials/single/card.html.twig' %}

{% block single_card_meta %}
    {# Source #}
    {% if page.header.source.url %}
        
        <blockquote class="blockquote">
            <a href="{{ page.header.source.url }}" target="_blank" rel="noopener" role="button" class="btn btn-success w-100" title="Visit source website">
                <div class="text-truncate">{{ page.header.source.title }}</div>
            </a>
            <footer class="blockquote-footer pl-2">
                <cite title="{{ page.header.source.author }}">
                    {{ page.header.source.author ?: 'TECH.SOURCE.UNKNOWN'|t }}
                </cite>
                <div class="w-100">
                    {% if page.header.source.date %}
                        <small><em>{{ page.header.source.date }}</em>
                    {% endif %}
                    {% if page.taxonomy.source %}
                        {{ 'TECH.SOURCE.ON'|t}} <em>{{ page.taxonomy.source[0] }}</em></small>
                    {% endif %}
                </div>
            </footer>
        </blockquote>
        <hr/>
    {% endif %}
        
    {# Width / Depth / Height #}
    {% if page.taxonomy.width and page.taxonomy.width|length == 2 %}
        <div class="width row">
            <div class="label col text-right pr-0"><strong>{{ 'TECH.WIDTH'|t }}:</strong></div>
            <div class="value col">{{ page.taxonomy.width[0] ~ ' ' ~ ('TECH.UNIT.' ~ page.taxonomy.width[1]|pluralize|upper)|t }}</div>
        </div>
        {% set has_size = true %}
    {% endif %}
    {% if page.taxonomy.width and page.taxonomy.width|length == 2 %}
        <div class="depth row">
            <div class="label col text-right pr-0"><strong>{{ 'TECH.DEPTH'|t }}:</strong></div>
            <div class="value col">{{ page.taxonomy.depth[0] ~ ' ' ~ ('TECH.UNIT.' ~ page.taxonomy.depth[1]|pluralize|upper)|t }}</div>
        </div>
        {% set has_size = true %}
    {% endif %}
    {% if page.taxonomy.width and page.taxonomy.width|length == 2 %}
        <div class="height row">
            <div class="label col text-right pr-0"><strong>{{ 'TECH.HEIGHT'|t }}:</strong></div>
            <div class="value col">{{ page.taxonomy.height[0] ~ ' ' ~ ('TECH.UNIT.' ~ page.taxonomy.height[1]|pluralize|upper)|t }}</div>
        </div>
        {% set has_size = true %}
    {% endif %}
    {{ has_size ? '<hr/>' }}

    {# Functions #}
    {% set functions = brick_functions(page) %}
    {% for function, taxonomies in functions %}
        <div class="{{ function }} row">
            <div class="label col text-right pr-0"><strong>{{ ('TECH.FUNCTION.' ~ function|upper)|t }}:</strong></div>
            <div class="values col scroll">
            {# {{ brick_term_image('function', function).resize(50, 50).html( function|humanize, function, 'img-fluid') }} #}
            {% for taxonomy, values in taxonomies %}
                {% for value in values %}
                    <a href="{{ base_url }}/techs/with/{{ taxonomy }}{{ config.system.param_sep }}{{ value|url_encode }}">
                        <span class="{{ taxonomy }}">{{ value }}</span>
                    </a>
                {% endfor %}
            {% endfor %}
            </div>
        </div>
    {% endfor %}
    {{ functions ? '<hr/>' }}

    {# Parts #}
    {% if page.taxonomy.partcount %}
        <div class="partcount w-100 mb-2 text-center">
            <strong>{{ page.taxonomy.partcount|first }} {{ 'TECH.PARTS'|t }}</strong>
        </div>
    {% endif %}
    {% if page.taxonomy.part %}
        <div class="parts row px-2 justify-content-center scroll">
            {% set item_term_column_classes = 'col-4 col-sm-3 col-md-6 col-lg-4 px-1' %}
            {% set item_term_card_classes = 'mb-2 mx-auto' %}
            {% for part in page.taxonomy.part %}
                {% include '/partials/item/term.html.twig' with { 
                    'tax': 'part', 
                    'term': part,
                    'collection_url': base_url ~ '/techs/using',  
                } %} 
            {% endfor %}
        </div>
        <hr/>
    {% endif %}

    {# Related Pages #}
    {% if config.plugins.relatedpages.enabled and related_pages|length > 0 %}
        <div class="related row px-2 justify-content-center">
            <div class="col-12 text-center mb-2"><strong>{{ 'TECH.RELATED'|t }}</strong></div>
            {% set item_show_footer = false %}
            {% set item_wrapper_classes = 'col-4 col-sm-3 col-md-6 col-lg-4 px-1' %}
            {% set item_classes = 'mb-2' %}
            {% for related_path, score in related_pages %}
                {% set related = grav['pages'].get(related_path) %}
                {% if related %}
                    {% include '/partials/item/base.html.twig' with { 'page': related } %}
                {% endif %}
            {% endfor %}
        </div>
    {% endif %}
{% endblock %}